{{ partial "header" . }}
<main>
    <section class="logo-section" style="height: 200px; width: 200px;">
        <div class="logo-big">
            <a href="/">
                <img src="/img/logo_big.svg" alt="Logo big"/>
            </a>
        </div>
        <div class="clearfix"></div>
    </section>
    <section>
        <article>
            <header>
                <h2 class="text-center intro-text">
                    {{ (.Content | replaceRE "<p>" "" | safeHTML) | replaceRE "</p>" "" | safeHTML  }}
                </h2>
            </header>
        </article>
        {{range first 1 (where .Site.Pages "Type" "=" "problem")}}
        <article class="works-on">
            <header>
                <h3 class="text-center intro-head">
                    {{ .Title }}
                </h3>
            </header>
                {{ .Content | replaceRE "<p>" "<p class=\"f12 text-center intro-text intro-problems-we-work\">" | safeHTML }}
        </article>
        {{ end }}
        <article class="methods-article">
            {{range first 1 (where .Site.Pages "Type" "=" "methods")}}
            <header>
                <h3 class="text-center intro-head intro-head2">
                    {{ .Title }}
                </h3>
            </header>
            {{ .Content | replaceRE "<p>" "<p class=\"f12 text-center intro-text intro-methods\">" | safeHTML }}
            {{ end }}

            <div class="methods">
                {{ range first 3 ( sort (where .Site.Pages "Type" "=" "method") ".Params.sort" "asc" ) }}
                <div class="method">
                    <div class="method-title"><a href="{{ .Params.Link }}" target="_blank"><strong>{{ .Title }}</strong></a></div>
                    <div class="method-ico"><img src="{{ .Params.Ico }}" alt="{{.Params.Title}}"/></div>
                    <div class="method-txt">{{ .Content }}</div>
                </div>
            {{ end }}
            </div>
        </article>
    </section>
    <section>
        <article>
            <div class="approaches-section">
                {{range first 1 (where .Site.Pages "Type" "=" "aproaches-main")}}
                <header>
                    <h3 class="text-center intro-head intro-head3">
                        {{ .Title }}
                    </h3>
                </header>
                {{ .Content | replaceRE "<p>" "<p class=\"f12 text-center approach-intro f-light\">" | safeHTML }}
                {{ end }}
            </div>
            <div class="ps-table">
                <div class="table-header">
                    <div class="table-row">
                        <div class="table-col">Approachs</div>
                        <div class="table-col">
                            <div class="pr-3 ico plus-ico"></div>
                            Strengths
                        </div>
                        <div class="table-col">
                            <div class="ico minus-ico"></div>
                            Weaknesses
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div>
                <div class="table-body">
                    {{range (sort (where .Site.Pages "Type" "=" "approach") ".Params.sort" "asc") }}
                    <div class="table-row">
                        <div class="table-col"><a href="{{ .Params.Link }}" target="_blank"><strong>{{ .Title }}</strong></a></div>
                        <div class="table-col">{{ .Params.Strength }}</div>
                        <div class="table-col">{{ .Params.Weakness }}</div>
                    </div>
                    {{ end }}
                </div>
            </div>
        </article>
    </section>
    <section>
        <!-- Begin Mailchimp Signup Form -->
        <div id="mc_embed_signup">
            <form action="https://space.us20.list-manage.com/subscribe/post?u=384a3d5b51e32c2fcbab0ebd2&amp;id=1059c0fb6e" method="post" id="mc-embedded-subscribe-form" name="mc-embedded-subscribe-form" class="validate subscribe" target="_blank" novalidate>
                <div id="mc_embed_signup_scroll" class="input-group">
                    <input type="email" value="" name="EMAIL" class="email form-control" id="mce-EMAIL" placeholder="email address" required>
                    <!-- real people should not fill this in and expect good things - do not remove this or risk form bot signups-->
                    <div style="position: absolute; left: -5000px;" aria-hidden="true"><input type="text" name="b_384a3d5b51e32c2fcbab0ebd2_1059c0fb6e" tabindex="-1" value=""></div>
                    <div class="input-group-append">
                        <div class="clear"><input type="submit" value="Subscribe" name="subscribe" id="mc-embedded-subscribe" class="button btn btn-primary"></div>
                    </div>
                </div>
            </form>
        </div>
        <!--End mc_embed_signup-->
    </section>
    <section class="news">
        <header>
            <h4 class="news-header">News feed</h4>
        </header>
        <div class="feeds">
            <div class="feed">
                <div class="subtitle">
                    <div class="subtitle-ico"></div>
                    <div class="subtitle-text">
                        PlantingSpace<br/>
                        PlantingSpace@mas.to
                    </div>
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div>
                <div class="feed-content">
                   
                </div>
                <div class="feed-date"></div>
            </div>
        </div>
    </section>
</main>
<script>
    function viewPort() {
        const width = $(window).width()
        if (width <= 375) {
            calc = (parseFloat(width) / parseFloat(375))
            scale = 0.5 * calc
            scale = scale.toFixed(2)
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=' + scale + ', maximum-scale=' + scale + ', width=750')
        } else if (width <= smallViewport) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=750')
        } else if (width > smallViewport && width < 1536) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=1440')
        } else if (width >= 1536 && width < 1680) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=1536')
        } else if (width >= 1680 && width < 1840) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=1680')
        } else if (width >= 1840 && width < 1920) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=1840')
        } else if (width >= 1920 && width < 2160) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=1920')
        } else if (width >= 2160 && width < 2560) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=2160')
        } else if (width >= 2560) {
            $('meta[name=viewport]').attr('content', 'user-scalable=yes, initial-scale=1, maximum-scale=1, width=2560')
        }
    
    }

    viewPort()

    
   const nodeMoving = lottie.loadAnimation({
        container: document.querySelector('.lottie_node-moving'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/nod_moving.json' // the path to the animation json
    })
    
    lottie.loadAnimation({
        container: document.querySelector('.lottie_bg-nodes'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: true,
        path: '/data/landing/nods.json' // the path to the animation json
    })
    
    lottie.loadAnimation({
        container: document.querySelector('.lottie_plant-1'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: true,
        path: '/data/landing/plant_1.json' // the path to the animation json
    })
    const peas = lottie.loadAnimation({
        container: document.querySelector('.lottie_plant-peas'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/plant_peas.json' // the path to the animation json
    })
    lottie.loadAnimation({
        container: document.querySelector('.lottie_blob-menu'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: true,
        path: '/data/landing/blob_menu.json' // the path to the animation json
    })
   const blobMiddle = lottie.loadAnimation({
        container: document.querySelector('.lottie_blob-middle'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/blob_middle.json' // the path to the animation json
    })
   const plant2 = lottie.loadAnimation({
        container: document.querySelector('.lottie_plant-2'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/plant_2.json' // the path to the animation json
    })
   const blobIco = lottie.loadAnimation({
        container: document.querySelector('.lottie_blob-ico'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/blob_ico.json' // the path to the animation json
    })
   const plant3 = lottie.loadAnimation({
        container: document.querySelector('.lottie_plant-3'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/plant_3.json' // the path to the animation json
    })
  const blobEmailform =  lottie.loadAnimation({
        container: document.querySelector('.lottie_blob-emailform'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/blob_emailform.json' // the path to the animation json
    })
   const leaf = lottie.loadAnimation({
        container: document.querySelector('.lottie_leaf-up'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/leaf_up.json' // the path to the animation json
    })
  const plantBoat =  lottie.loadAnimation({
        container: document.querySelector('.lottie_plant-boat'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/plant_boat.json' // the path to the animation json
    })
   const loopDot = lottie.loadAnimation({
        container: document.querySelector('.lottie_loop-dot-1'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: true,
        autoplay: false,
        path: '/data/landing/loop_dot_1.json' // the path to the animation json
    })
    lottie.loadAnimation({
        container: document.querySelector('.lottie_loop-line-1'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: true,
        autoplay: true,
        path: '/data/landing/loop_line_1.json' // the path to the animation json
    })
    lottie.loadAnimation({
        container: document.querySelector('.lottie_loop-line-2'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: true,
        autoplay: true,
        path: '/data/landing/loop_line_2.json' // the path to the animation json
    })

   const plantHang = lottie.loadAnimation({
        container: document.querySelector('.lottie_plant-hang'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/plant_hang.json' // the path to the animation json
    })

   const icoProba = lottie.loadAnimation({
        container: document.querySelector('.lottie_ico-proba'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/ico_proba.json' // the path to the animation json
    })

   const icoCognitiv = lottie.loadAnimation({
        container: document.querySelector('.lottie_ico-cognitiv'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/ico_cognitiv.json' // the path to the animation json
    })

    const icoCategory = lottie.loadAnimation({
        container: document.querySelector('.lottie_ico-category'), // the dom element that will contain the animation
        renderer: 'svg',
        loop: false,
        autoplay: false,
        path: '/data/landing/icon_category.json' // the path to the animation json
    })

    let options = {
        root: null,
        threshold: 0,
        rootMargin: '500px'
    };

    let options2 = {
        root: null,
        rootMargin: '200px'
    };
    


    const timeAnimation1 = document.querySelector(".intro-problems-we-work")
    const timeAnimation2 = document.querySelector(".intro-methods")
    const timeAnimation3 = document.querySelector(".intro-methods")
    const timeAnimation4 = document.querySelector(".intro-head3")
    const timeAnimation5 = document.querySelector(".ps-table")
    const timeAnimation6 = document.querySelector(".subscribe")
    const timeAnimation7 = document.querySelector(".feeds")

    const loopDotContainer = document.querySelector(".lottie_loop-dot-1")
    
    let observer1 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
                nodeMoving.play()
                blobMiddle.play()
                setTimeout(() => {
                    loopDotContainer.classList.remove("invisible")
                    loopDot.play()
                }, 1000)
            }
        })
    }, options)

    let observer2 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
               plant2.play()
            }
        })
    }, options)

    let observer3 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
               blobIco.play()
            }
        })
    }, options)

    let observer4 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
               plant3.play()
               plantHang.play()
               icoCognitiv.play()
               icoCategory.play()
               icoProba.play()
            }
        })
    }, options)

    let observer5 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
              peas.play()
            }
        })
    }, options2)

    let observer6 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
              leaf.play()
              blobEmailform.play()
            }
        })
    }, options)

    let observer7 = new IntersectionObserver(function (entries, observer) {
        entries.forEach(entry => {
            if(entry.isIntersecting){
             plantBoat.play()
            }
        })
    }, options)
    
    observer1.observe(timeAnimation1)
    observer2.observe(timeAnimation2)
    observer3.observe(timeAnimation3)
    observer4.observe(timeAnimation4)
    observer5.observe(timeAnimation5)
    observer6.observe(timeAnimation6)
    observer7.observe(timeAnimation7)
    
    if (width >= smallViewport) {
        $(".main-container").addClass("fixed")
    }
 
</script>
{{ partial "footer" . }}